#ifndef _STR_H_
#define _STR_H_

#include <wchar.h>

namespace Framework
{

	class CStr
	{
	public:
						CStr(const char* = "");
		virtual			~CStr();

		CStr&			operator += (const char*);
		CStr&			operator += (char);

		virtual			operator const wchar_t* ();
		virtual			operator const char* ();

		virtual CStr&	operator = (const char*);
		virtual CStr&	operator = (const wchar_t*);

		void			Copy(char*, unsigned int);

	private:
	  
		void			Load(char*);
		void			Append(char*);
		void			Grow(unsigned int);

		unsigned int	m_nSize;
		char*			m_pData;

	};
}

#endif
