/*

	Framework - Stream.cpp
	File Version 1.0.000
	Provides the implementation of the CStream class

*/

#include "Stream.h"
#include <malloc.h>

using namespace Framework;

CStream::~CStream()
{

}

uint16 CStream::Read16()
{
	uint16 nValue;
	Read(&nValue, 2);
	return nValue;
}

uint32 CStream::Read32()
{
	uint32 nValue;
	Read(&nValue, 4);
	return nValue;
}

void CStream::Write8(uint8 nValue)
{
	Write(&nValue, 1);
}

void CStream::Write16(uint16 nValue)
{
	Write(&nValue, 2);
}

char* CStream::GetLine(bool nIgnoreCR)
{
	char* sTemp;
	char nChar;
	unsigned int nCount;
	sTemp = (char*)malloc(0);
	nCount = 0;
	Read(&nChar, 1);
	while(1)
	{
		if(IsEOF()) break;
		if(nChar == '\n') break;
		if(!(nIgnoreCR && (nChar == '\r')))
		{
			sTemp = (char*)realloc(sTemp, nCount + 1);
			sTemp[nCount] = nChar;
			nCount++;
		}
		Read(&nChar, 1);
	}
	sTemp = (char*)realloc(sTemp, nCount + 1);
	sTemp[nCount] = 0x00;
	return sTemp;
}
