/*

	Framework - Edit.cpp
	File Version 1.0.000

*/

#include "win32/Edit.h"

using namespace Framework;

CEdit::CEdit(HWND hParent, unsigned int nID)
{
	m_hWnd = GetDlgItem(hParent, nID);
}

CEdit::CEdit(HWND hParent, RECT* pR, xchar* sText, unsigned long nStyle, unsigned long nStyleEx)
{
	Create(nStyleEx, _X("EDIT"), sText, WS_VISIBLE | WS_CHILD | nStyle, pR, hParent, NULL);
	SetFont((HFONT)GetStockObject(ANSI_VAR_FONT));
}

void CEdit::SetSelection(int nStart, int nEnd)
{
	SendMessage(m_hWnd, EM_SETSEL, nStart, nEnd);
}

void CEdit::ReplaceSelectionA(bool nCanBeUndone, char* sText)
{
	SendMessageA(m_hWnd, EM_REPLACESEL, nCanBeUndone, (LPARAM)sText);
}

void CEdit::SetTextLimit(int nLimit)
{
	SendMessage(m_hWnd, EM_LIMITTEXT, nLimit, 0);
}
